# [[file:deploying.org::*Container build with \[\[file:../cce_nixos_core.org\]\[Nix\]\]][Container build with [[file:../cce_nixos_core.org][Nix]]:1]]
self: super:

let
  packagesWith = erlang: let
    packages = super.beam.packagesWith erlang;
    rebar3 = packages.rebar3.overrideAttrs(oldAttrs: { compilePorts=true; });
  in packages // rec {
    inherit rebar3;
    buildMix'' = packages.buildMix'.override { inherit rebar3; } ;
  };
  packages = super.lib.attrsets.mapAttrs (name: _: packagesWith super.beam.interpreters.${name}) super.beam.packages;
in {
  beam = super.beam // {
    inherit packagesWith packages;
  };
}
# Container build with [[file:../cce_nixos_core.org][Nix]]:1 ends here
